searchNodes=[{"doc":"Details about the Mailchimp user account. Struct Fields account_id - The Mailchimp account ID. account_name - The name of the account. contact - Information about the account contact. last_login - The date and time of the last login for this account in ISO 8601 format. total_subscribers - The total number of subscribers across all lists in the account. links - A list of Mailchimp.Link types and descriptions for the API schema documents.","ref":"Mailchimp.Account.html","title":"Mailchimp.Account","type":"module"},{"doc":"Same as get_all_lists/0 but raises errors.","ref":"Mailchimp.Account.html#get_all_lists!/0","title":"Mailchimp.Account.get_all_lists!/0","type":"function"},{"doc":"Fetch a list of all Mailchimp.List for the given account","ref":"Mailchimp.Account.html#get_all_lists/0","title":"Mailchimp.Account.get_all_lists/0","type":"function"},{"doc":"Same as get_list/3 but raises errors.","ref":"Mailchimp.Account.html#get_list!/3","title":"Mailchimp.Account.get_list!/3","type":"function"},{"doc":"Fetch a Mailchimp.List from an ID","ref":"Mailchimp.Account.html#get_list/3","title":"Mailchimp.Account.get_list/3","type":"function"},{"doc":"Same as lists/2 but raises errors.","ref":"Mailchimp.Account.html#lists!/2","title":"Mailchimp.Account.lists!/2","type":"function"},{"doc":"Fetch a list of Mailchimp.List for the given account with an optional query params. If you are looking for fetching all lists check get_all_lists","ref":"Mailchimp.Account.html#lists/2","title":"Mailchimp.Account.lists/2","type":"function"},{"doc":"Generates an Mailchimp.Account struct from the given attributes.","ref":"Mailchimp.Account.html#new/1","title":"Mailchimp.Account.new/1","type":"function"},{"doc":"Use batch operations to complete multiple operations with a single call.","ref":"Mailchimp.Batch.html","title":"Mailchimp.Batch","type":"module"},{"doc":"Get a summary of batch requests that have been made.","ref":"Mailchimp.Batch.html#batches/1","title":"Mailchimp.Batch.batches/1","type":"function"},{"doc":"Begin processing a batch operations request.","ref":"Mailchimp.Batch.html#create_batch/1","title":"Mailchimp.Batch.create_batch/1","type":"function"},{"doc":"Stops a batch request from running. Since only one batch request is run at a time, this can be used to cancel a long running request. The results of any completed operations will not be available after this call.","ref":"Mailchimp.Batch.html#destroy_batch/1","title":"Mailchimp.Batch.destroy_batch/1","type":"function"},{"doc":"Get the status of a batch request.","ref":"Mailchimp.Batch.html#get_batch/1","title":"Mailchimp.Batch.get_batch/1","type":"function"},{"doc":"Campaigns are how you send emails to your Mailchimp list. Use the Campaigns API calls to manage campaigns in your Mailchimp account. Struct Fields id - A string that uniquely identifies this campaign. web_id - The ID used in the Mailchimp web application. View this campaign in your Mailchimp account at https://{dc}.admin.mailchimp.com/campaigns/show/?id={web_id} . type - There are four types of campaigns you can create in Mailchimp. A/B Split campaigns have been deprecated and variate campaigns should be used instead. Possible values: &quot;regular&quot;, &quot;plaintext&quot;, &quot;absplit&quot;, &quot;rss&quot;, or &quot;variate&quot;. create_time - The date and time the campaign was created in ISO 8601 format. archive_url - The link to the campaign's archive version in ISO 8601 format. long_archive_url - The original link to the campaign's archive version. status - The current status of the campaign. Possible values: &quot;save&quot;, &quot;paused&quot;, &quot;schedule&quot;, &quot;sending&quot;, &quot;sent&quot;, &quot;canceled&quot;, &quot;canceling&quot;, or &quot;archived&quot;. emails_sent - The total number of emails sent for this campaign. send_time - The date and time a campaign was sent. content_type - How the campaign's content is put together. Possible values: &quot;template&quot;, &quot;html&quot;, &quot;url&quot;, or &quot;multichannel&quot;. recipients - List settings for the campaign. settings - The settings for your campaign, including subject, from name, reply-to address, and more. variate_settings - The settings specific to A/B test campaigns. tracking - The tracking options for a campaign. rss_opts - RSS options for a campaign. ab_split_opts - A/B Testing options for a campaign. social_card - The preview for the campaign, rendered by social networks like Facebook and Twitter. Learn more . report_summary - For sent campaigns, a summary of opens, clicks, and e-commerce data. delivery_status - Updates on campaigns in the process of sending.","ref":"Mailchimp.Campaign.html","title":"Mailchimp.Campaign","type":"module"},{"doc":"Same as content/1 but raises errors.","ref":"Mailchimp.Campaign.html#content!/1","title":"Mailchimp.Campaign.content!/1","type":"function"},{"doc":"Fetches the Mailchimp.Campaign.Content for a given campaing","ref":"Mailchimp.Campaign.html#content/1","title":"Mailchimp.Campaign.content/1","type":"function"},{"doc":"Same as create/2 but raises errors.","ref":"Mailchimp.Campaign.html#create!/2","title":"Mailchimp.Campaign.create!/2","type":"function"},{"doc":"Creates a Mailchimp.Campaign with additional fields for attributes and sends it to mailchimp","ref":"Mailchimp.Campaign.html#create/2","title":"Mailchimp.Campaign.create/2","type":"function"},{"doc":"Same as list/1 but raises errors.","ref":"Mailchimp.Campaign.html#list!/1","title":"Mailchimp.Campaign.list!/1","type":"function"},{"doc":"Creates an empty list","ref":"Mailchimp.Campaign.html#list/0","title":"Mailchimp.Campaign.list/0","type":"function"},{"doc":"Fetch campaigns with query params","ref":"Mailchimp.Campaign.html#list/1","title":"Mailchimp.Campaign.list/1","type":"function"},{"doc":"Generates an Mailchimp.Campaign struct from the given attributes.","ref":"Mailchimp.Campaign.html#new/1","title":"Mailchimp.Campaign.new/1","type":"function"},{"doc":"The HTML content for your Mailchimp landing pages. Struct Fields variate_contents - The Mailchimp account ID. plain_text - The plain-text portion of the campaign. If left unspecified, we'll generate this automatically. html - The raw HTML for the campaign. archive_html - The Archive HTML for the campaign. links - A list of Mailchimp.Link types and descriptions for the API schema documents.","ref":"Mailchimp.Campaign.Content.html","title":"Mailchimp.Campaign.Content","type":"module"},{"doc":"Generates an Mailchimp.Campaing.Content struct from the given attributes.","ref":"Mailchimp.Campaign.Content.html#new/1","title":"Mailchimp.Campaign.Content.new/1","type":"function"},{"doc":"Same as update/2 but raises errors.","ref":"Mailchimp.Campaign.Content.html#update!/2","title":"Mailchimp.Campaign.Content.update!/2","type":"function"},{"doc":"Updates a Content in Mailchimp","ref":"Mailchimp.Campaign.Content.html#update/2","title":"Mailchimp.Campaign.Content.update/2","type":"function"},{"doc":"Tracking Options for Campaings Struct Fields opens - Whether to track opens . Defaults to true. Cannot be set to false for variate campaigns. html_clicks - Whether to track clicks in the HTML version of the campaign. Defaults to true. Cannot be set to false for variate campaigns. text_clicks - Whether to track clicks in the plain-text version of the campaign. Defaults to true. Cannot be set to false for variate campaigns. goal_tracking -Deprecated. ecomm360 - Whether to enable e-commerce tracking. google_analytics - The custom slug for Google Analytics tracking (max of 50 bytes). clicktale - The custom slug for ClickTale tracking (max of 50 bytes) salesforce - Deprecated.","ref":"Mailchimp.Campaign.Tracking.html","title":"Mailchimp.Campaign.Tracking","type":"module"},{"doc":"Generates an Mailchimp.Campaign.Tracking struct from the given attributes.","ref":"Mailchimp.Campaign.Tracking.html#new/1","title":"Mailchimp.Campaign.Tracking.new/1","type":"function"},{"doc":"Your Mailchimp list, also known as your audience, is where you store and manage all of your contacts. Struct Fields id - A string that uniquely identifies this list. name - The name of the list. permission_reminder - The persmission reminder for the list. campaign_defaults - Default values for campaigns created for this list. notify_on_subscribe - The email address to send subscribe notifications to. notify_on_unsubscribe - The email address to send unsubscribe notifications to. list_rating - An auto-generated activity score for the list (0-5). email_type_option - Whether the list support multiple formats for emails. When set to true, subscribers can choose whether they want to receive HTML or plain-text emails. When set to false, subscribers will receive HTML emails, with a plain-text alternative backup. subscribe_url_short - url Link shortened version of this list's subscribe form. subscribe_url_long - The full version of this list's subscribe form (host will vary). beamer_address - The list's Email Beamer address. visibility - Legacy. visibility settings are no longer used Possible values: &quot;pub&quot; or &quot;prv&quot;. modules - Any list-specific modules installed for this list. stats - Stats for the list. Many of these are cached for at least five minutes. links - A list of Mailchimp.Link types and descriptions for the API schema documents.","ref":"Mailchimp.List.html","title":"Mailchimp.List","type":"module"},{"doc":"Same as batch_subscribe but raises errors.","ref":"Mailchimp.List.html#batch_subscribe!/3","title":"Mailchimp.List.batch_subscribe!/3","type":"function"},{"doc":"Batch subscribe members. Pass the List and the list of members with properties such as email_address, status, and merge_fields (for example, for first and last name). Additional options can be passed, such as update_existing. See the API docs for details: https://mailchimp.com/developer/api/marketing/lists/batch-subscribe-or-unsubscribe/","ref":"Mailchimp.List.html#batch_subscribe/3","title":"Mailchimp.List.batch_subscribe/3","type":"function"},{"doc":"Fetches all members on the mailchimp list, and compares then to the given list of members. Warning: This method only checks for the same email address Raises errors on connection failure Examples iex&gt; check_diff_to_mailchimp! ( list , [ member1 ] ) %{ members_on_mailchimp : [ ] , members_not_on_mailchimp : [ ] }","ref":"Mailchimp.List.html#check_diff_to_mailchimp!/2","title":"Mailchimp.List.check_diff_to_mailchimp!/2","type":"function"},{"doc":"Same as create_member/5 but raises errors.","ref":"Mailchimp.List.html#create_member!/5","title":"Mailchimp.List.create_member!/5","type":"function"},{"doc":"Creates a member at Mailchimp. You can pass merge_fields or additional_data","ref":"Mailchimp.List.html#create_member/5","title":"Mailchimp.List.create_member/5","type":"function"},{"doc":"Same as create_members/5 but raises errors.","ref":"Mailchimp.List.html#create_members!/5","title":"Mailchimp.List.create_members!/5","type":"function"},{"doc":"Creates a list of members at Mailchimp. You can pass merge_fields or additional_data","ref":"Mailchimp.List.html#create_members/5","title":"Mailchimp.List.create_members/5","type":"function"},{"doc":"Same as create_or_update_member/5 but raises errors.","ref":"Mailchimp.List.html#create_or_update_member!/5","title":"Mailchimp.List.create_or_update_member!/5","type":"function"},{"doc":"Creates or updates a member at Mailchimp. You can pass merge_fields or additional_data","ref":"Mailchimp.List.html#create_or_update_member/5","title":"Mailchimp.List.create_or_update_member/5","type":"function"},{"doc":"Sends a request that removes a Mailchimp.Member of a given list by it's email","ref":"Mailchimp.List.html#destroy_member/2","title":"Mailchimp.List.destroy_member/2","type":"function"},{"doc":"Same as get_member but raises errors.","ref":"Mailchimp.List.html#get_member!/2","title":"Mailchimp.List.get_member!/2","type":"function"},{"doc":"Fetches a Mailchimp.Member of a given list by it's email","ref":"Mailchimp.List.html#get_member/2","title":"Mailchimp.List.get_member/2","type":"function"},{"doc":"Same as interest_categories but raises errors.","ref":"Mailchimp.List.html#interest_categories!/1","title":"Mailchimp.List.interest_categories!/1","type":"function"},{"doc":"Fetches a list of Mailchimp.List.InterestCategory of a given list","ref":"Mailchimp.List.html#interest_categories/1","title":"Mailchimp.List.interest_categories/1","type":"function"},{"doc":"Same as members/2 but raises errors.","ref":"Mailchimp.List.html#members!/2","title":"Mailchimp.List.members!/2","type":"function"},{"doc":"Fetches a list of Mailchimp.Member of a given list","ref":"Mailchimp.List.html#members/2","title":"Mailchimp.List.members/2","type":"function"},{"doc":"Generates an Mailchimp.List struct from the given attributes.","ref":"Mailchimp.List.html#new/1","title":"Mailchimp.List.new/1","type":"function"},{"doc":"","ref":"Mailchimp.List.html#permanently_delete_member/2","title":"Mailchimp.List.permanently_delete_member/2","type":"function"},{"doc":"Manage interest categories for a specific list. Interest categories organize interests, which are used to group subscribers based on their preferences. These correspond to 'group titles' in the Mailchimp application. Struct Fields id - The unique list id for the category. list_id - This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. title - The text description of this category. This field appears on signup forms and is often phrased as a question. display_order - The order that the categories are displayed in the list. Lower numbers display first. type - Determines how this category’s interests appear on signup forms. Possible values: &quot;checkboxes&quot;, &quot;dropdown&quot;, &quot;radio&quot;, or &quot;hidden&quot;. links - A list of Mailchimp.Link types and descriptions for the API schema documents.","ref":"Mailchimp.List.InterestCategory.html","title":"Mailchimp.List.InterestCategory","type":"module"},{"doc":"Same as interests/1 but raises errors.","ref":"Mailchimp.List.InterestCategory.html#interests!/1","title":"Mailchimp.List.InterestCategory.interests!/1","type":"function"},{"doc":"Fetches all Mailchimp.List.InterestCategory.Interest for the given interest category.","ref":"Mailchimp.List.InterestCategory.html#interests/1","title":"Mailchimp.List.InterestCategory.interests/1","type":"function"},{"doc":"Generates an Mailchimp.List.InterestCategory struct from the given attributes.","ref":"Mailchimp.List.InterestCategory.html#new/1","title":"Mailchimp.List.InterestCategory.new/1","type":"function"},{"doc":"Manage interests for a specific Mailchimp list. Assign subscribers to interests to group them together. Interests are referred to as 'group names' in the Mailchimp application. Struct Fields id - The ID for the interest. category_id - The id for the interest category. list_id - The ID for the list that this interest belongs to. name - The name of the interest. This can be shown publicly on a subscription form. display_order - The display order for interests. subscriber_count - The number of subscribers associated with this interest. links - A list of Mailchimp.Link types and descriptions for the API schema documents.","ref":"Mailchimp.List.InterestCategory.Interest.html","title":"Mailchimp.List.InterestCategory.Interest","type":"module"},{"doc":"Generates an Mailchimp.List.InterestCategory.Interest struct from the given attributes.","ref":"Mailchimp.List.InterestCategory.Interest.html#new/1","title":"Mailchimp.List.InterestCategory.Interest.new/1","type":"function"},{"doc":"Stores links for a given Entity in Mailchimp's API Struct Fields rel - As with an HTML rel attribute, this describes the type of link. href - This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. method - The HTTP method that should be used when accessing the URL defined in 'href'. Possible values: &quot;GET&quot;, &quot;POST&quot;, &quot;PUT&quot;, &quot;PATCH&quot;, &quot;DELETE&quot;, &quot;OPTIONS&quot;, or &quot;HEAD&quot;. schema - For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. target_schema - For GETs, this is a URL representing the schema that the response should conform to.","ref":"Mailchimp.Link.html","title":"Mailchimp.Link","type":"module"},{"doc":"Generates a list of Mailchimp.Link structs from the given links.","ref":"Mailchimp.Link.html#get_links_from_attributes/1","title":"Mailchimp.Link.get_links_from_attributes/1","type":"function"},{"doc":"Generates an Mailchimp.Link struct from the given attributes.","ref":"Mailchimp.Link.html#new/1","title":"Mailchimp.Link.new/1","type":"function"},{"doc":"Manage members of a specific Mailchimp list, including currently subscribed, unsubscribed, and bounced members. Struct Fields email_address - Email address for a subscriber. email_client - The list member's email client. email_type - Type of email this member asked to get ('html' or 'text'). id - The MD5 hash of the lowercase version of the list member's email address. ip_opt - The IP address the subscriber used to confirm their opt-in status. ip_signup - TIP address the subscriber signed up from. language - If set/detected, the subscriber's language . last_changed - The date and time the member's info was last changed in ISO 8601 format. list_id - The list id. location - Subscriber location information. member_rating - Star rating for this member, between 1 and 5. merge_fields - A dictionary of merge fields where the keys are the merge tags. See the Merge Fields documentation for more about the structure. stats - Open and click rates for this subscriber. status - Subscriber's current status. Possible values: &quot;subscribed&quot;, &quot;unsubscribed&quot;, &quot;cleaned&quot;, &quot;pending&quot;, &quot;transactional&quot;, or &quot;archived&quot;. status_if_new - Subscriber's status. This value is required only if the email address is not already present on the list. timestamp_opt - The date and time the subscribe confirmed their opt-in status in ISO 8601 format. timestamp_signup - The date and time the subscriber signed up for the list in ISO 8601 format. unique_email_id - An identifier for the address across all of Mailchimp. vip - VIP status for subscriber. links - A list of Mailchimp.Link types and descriptions for the API schema documents. tags - Returns up to 50 tags applied to this member.","ref":"Mailchimp.Member.html","title":"Mailchimp.Member","type":"module"},{"doc":"Deletes the member in Mailchimp","ref":"Mailchimp.Member.html#delete/1","title":"Mailchimp.Member.delete/1","type":"function"},{"doc":"Generates an Mailchimp.Member struct from the given attributes.","ref":"Mailchimp.Member.html#new/1","title":"Mailchimp.Member.new/1","type":"function"},{"doc":"Same as update/1 but raises errors.","ref":"Mailchimp.Member.html#update!/1","title":"Mailchimp.Member.update!/1","type":"function"},{"doc":"Updates the member in Mailchimp","ref":"Mailchimp.Member.html#update/1","title":"Mailchimp.Member.update/1","type":"function"},{"doc":"Same as update_tags/2 but raises errors.","ref":"Mailchimp.Member.html#update_tags!/1","title":"Mailchimp.Member.update_tags!/1","type":"function"},{"doc":"Updates the member tages in Mailchimp","ref":"Mailchimp.Member.html#update_tags/1","title":"Mailchimp.Member.update_tags/1","type":"function"},{"doc":"Manage the Templates in your account. Manage members of a specific Mailchimp list, including currently subscribed, unsubscribed, and bounced members. Struct Fields id - The individual id for the template. type - The type of template (user, base, or gallery). name - The name of the template. drag_and_drop - Whether the template uses the drag and drop editor. responsive - Whether the template contains media queries to make it responsive. category - If available, the category the template is listed in. date_created - The date and time the template was created in ISO 8601 format. created_by - The login name for template's creator. active - User templates are not 'deleted,' but rather marked as 'inactive.' Returns whether the template is still active. folder_id - The id of the folder the template is currently in. thumbnail - If available, the URL for a thumbnail of the template. share_url - The URL used for template sharing . links - A list of Mailchimp.Link types and descriptions for the API schema documents.","ref":"Mailchimp.Template.html","title":"Mailchimp.Template","type":"module"},{"doc":"Creates Mailchimp.Template and sends it to Mailchimp.","ref":"Mailchimp.Template.html#create/1","title":"Mailchimp.Template.create/1","type":"function"},{"doc":"Fetch a Mailchimp.Template with the given id with optional query params.","ref":"Mailchimp.Template.html#get/2","title":"Mailchimp.Template.get/2","type":"function"},{"doc":"Fetch a list of Mailchimp.Template for the given account with optional query params.","ref":"Mailchimp.Template.html#list/1","title":"Mailchimp.Template.list/1","type":"function"},{"doc":"Generates an Mailchimp.Template struct from the given attributes.","ref":"Mailchimp.Template.html#new/1","title":"Mailchimp.Template.new/1","type":"function"},{"doc":"Copyright (c) 2017 Jean Duarte Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"This is a basic Elixir wrapper for version 3 of the MailChimp API.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"First, add MailChimp lib to your mix.exs dependencies: def deps do [ { :mailchimp , &quot;~&gt; 0.2.0&quot; } ] end and run $ mix deps.get","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"Put your API key in your config.exs file: config :mailchimp , api_key : &quot;your api-us10&quot; or Application . put_env ( :mailchimp , :api_key , &quot;your apikey-us12&quot; ) Getting Account Details Mailchimp.Account . get! ( ) Getting All Lists Mailchimp.Account . get_all_lists! Adding a Member to a List Mailchimp.List . create_member ( list , &quot;test@email.com&quot; , &quot;subscribed&quot; , %{ } , %{ } ) Creating a new Campaign Mailchimp.Campaign . create! ( :regular )","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Copyright (c) 2017 Jean Duarte This work is free. You can redistribute it and/or modify it under the terms of the MIT License. See the LICENSE.md file for more details.","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]